Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network252.76.64.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
252.76.64.0
Broadcast address
252.76.95.255
First usable
252.76.64.1
Last usable
252.76.95.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FC4C4000 · Integer 4232855552 to 4232863743
Reverse DNS zones
64.76.252.in-addr.arpa
65.76.252.in-addr.arpa
66.76.252.in-addr.arpa
67.76.252.in-addr.arpa
68.76.252.in-addr.arpa
69.76.252.in-addr.arpa
70.76.252.in-addr.arpa
71.76.252.in-addr.arpa
72.76.252.in-addr.arpa
73.76.252.in-addr.arpa
74.76.252.in-addr.arpa
75.76.252.in-addr.arpa
76.76.252.in-addr.arpa
77.76.252.in-addr.arpa
78.76.252.in-addr.arpa
79.76.252.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111100.01001100.01000000.00000000252.76.64.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network11111100.01001100.01000000.00000000252.76.64.0
Broadcast11111100.01001100.01011111.11111111252.76.95.255
Split into smaller subnets/28

252.76.64.0/19 makes 512 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1252.76.64.0/28252.76.64.1 to 252.76.64.14252.76.64.1514
2252.76.64.16/28252.76.64.17 to 252.76.64.30252.76.64.3114
3252.76.64.32/28252.76.64.33 to 252.76.64.46252.76.64.4714
4252.76.64.48/28252.76.64.49 to 252.76.64.62252.76.64.6314
5252.76.64.64/28252.76.64.65 to 252.76.64.78252.76.64.7914
6252.76.64.80/28252.76.64.81 to 252.76.64.94252.76.64.9514
7252.76.64.96/28252.76.64.97 to 252.76.64.110252.76.64.11114
8252.76.64.112/28252.76.64.113 to 252.76.64.126252.76.64.12714
9252.76.64.128/28252.76.64.129 to 252.76.64.142252.76.64.14314
10252.76.64.144/28252.76.64.145 to 252.76.64.158252.76.64.15914
11252.76.64.160/28252.76.64.161 to 252.76.64.174252.76.64.17514
12252.76.64.176/28252.76.64.177 to 252.76.64.190252.76.64.19114
13252.76.64.192/28252.76.64.193 to 252.76.64.206252.76.64.20714
14252.76.64.208/28252.76.64.209 to 252.76.64.222252.76.64.22314
15252.76.64.224/28252.76.64.225 to 252.76.64.238252.76.64.23914
16252.76.64.240/28252.76.64.241 to 252.76.64.254252.76.64.25514
17252.76.65.0/28252.76.65.1 to 252.76.65.14252.76.65.1514
18252.76.65.16/28252.76.65.17 to 252.76.65.30252.76.65.3114
19252.76.65.32/28252.76.65.33 to 252.76.65.46252.76.65.4714
20252.76.65.48/28252.76.65.49 to 252.76.65.62252.76.65.6314
21252.76.65.64/28252.76.65.65 to 252.76.65.78252.76.65.7914
22252.76.65.80/28252.76.65.81 to 252.76.65.94252.76.65.9514
23252.76.65.96/28252.76.65.97 to 252.76.65.110252.76.65.11114
24252.76.65.112/28252.76.65.113 to 252.76.65.126252.76.65.12714
25252.76.65.128/28252.76.65.129 to 252.76.65.142252.76.65.14314
26252.76.65.144/28252.76.65.145 to 252.76.65.158252.76.65.15914
27252.76.65.160/28252.76.65.161 to 252.76.65.174252.76.65.17514
28252.76.65.176/28252.76.65.177 to 252.76.65.190252.76.65.19114
29252.76.65.192/28252.76.65.193 to 252.76.65.206252.76.65.20714
30252.76.65.208/28252.76.65.209 to 252.76.65.222252.76.65.22314
31252.76.65.224/28252.76.65.225 to 252.76.65.238252.76.65.23914
32252.76.65.240/28252.76.65.241 to 252.76.65.254252.76.65.25514
33252.76.66.0/28252.76.66.1 to 252.76.66.14252.76.66.1514
34252.76.66.16/28252.76.66.17 to 252.76.66.30252.76.66.3114
35252.76.66.32/28252.76.66.33 to 252.76.66.46252.76.66.4714
36252.76.66.48/28252.76.66.49 to 252.76.66.62252.76.66.6314
37252.76.66.64/28252.76.66.65 to 252.76.66.78252.76.66.7914
38252.76.66.80/28252.76.66.81 to 252.76.66.94252.76.66.9514
39252.76.66.96/28252.76.66.97 to 252.76.66.110252.76.66.11114
40252.76.66.112/28252.76.66.113 to 252.76.66.126252.76.66.12714
41252.76.66.128/28252.76.66.129 to 252.76.66.142252.76.66.14314
42252.76.66.144/28252.76.66.145 to 252.76.66.158252.76.66.15914
43252.76.66.160/28252.76.66.161 to 252.76.66.174252.76.66.17514
44252.76.66.176/28252.76.66.177 to 252.76.66.190252.76.66.19114
45252.76.66.192/28252.76.66.193 to 252.76.66.206252.76.66.20714
46252.76.66.208/28252.76.66.209 to 252.76.66.222252.76.66.22314
47252.76.66.224/28252.76.66.225 to 252.76.66.238252.76.66.23914
48252.76.66.240/28252.76.66.241 to 252.76.66.254252.76.66.25514
49252.76.67.0/28252.76.67.1 to 252.76.67.14252.76.67.1514
50252.76.67.16/28252.76.67.17 to 252.76.67.30252.76.67.3114
51252.76.67.32/28252.76.67.33 to 252.76.67.46252.76.67.4714
52252.76.67.48/28252.76.67.49 to 252.76.67.62252.76.67.6314
53252.76.67.64/28252.76.67.65 to 252.76.67.78252.76.67.7914
54252.76.67.80/28252.76.67.81 to 252.76.67.94252.76.67.9514
55252.76.67.96/28252.76.67.97 to 252.76.67.110252.76.67.11114
56252.76.67.112/28252.76.67.113 to 252.76.67.126252.76.67.12714
57252.76.67.128/28252.76.67.129 to 252.76.67.142252.76.67.14314
58252.76.67.144/28252.76.67.145 to 252.76.67.158252.76.67.15914
59252.76.67.160/28252.76.67.161 to 252.76.67.174252.76.67.17514
60252.76.67.176/28252.76.67.177 to 252.76.67.190252.76.67.19114
61252.76.67.192/28252.76.67.193 to 252.76.67.206252.76.67.20714
62252.76.67.208/28252.76.67.209 to 252.76.67.222252.76.67.22314
63252.76.67.224/28252.76.67.225 to 252.76.67.238252.76.67.23914
64252.76.67.240/28252.76.67.241 to 252.76.67.254252.76.67.25514
65252.76.68.0/28252.76.68.1 to 252.76.68.14252.76.68.1514
66252.76.68.16/28252.76.68.17 to 252.76.68.30252.76.68.3114
67252.76.68.32/28252.76.68.33 to 252.76.68.46252.76.68.4714
68252.76.68.48/28252.76.68.49 to 252.76.68.62252.76.68.6314
69252.76.68.64/28252.76.68.65 to 252.76.68.78252.76.68.7914
70252.76.68.80/28252.76.68.81 to 252.76.68.94252.76.68.9514
71252.76.68.96/28252.76.68.97 to 252.76.68.110252.76.68.11114
72252.76.68.112/28252.76.68.113 to 252.76.68.126252.76.68.12714
73252.76.68.128/28252.76.68.129 to 252.76.68.142252.76.68.14314
74252.76.68.144/28252.76.68.145 to 252.76.68.158252.76.68.15914
75252.76.68.160/28252.76.68.161 to 252.76.68.174252.76.68.17514
76252.76.68.176/28252.76.68.177 to 252.76.68.190252.76.68.19114
77252.76.68.192/28252.76.68.193 to 252.76.68.206252.76.68.20714
78252.76.68.208/28252.76.68.209 to 252.76.68.222252.76.68.22314
79252.76.68.224/28252.76.68.225 to 252.76.68.238252.76.68.23914
80252.76.68.240/28252.76.68.241 to 252.76.68.254252.76.68.25514
81252.76.69.0/28252.76.69.1 to 252.76.69.14252.76.69.1514
82252.76.69.16/28252.76.69.17 to 252.76.69.30252.76.69.3114
83252.76.69.32/28252.76.69.33 to 252.76.69.46252.76.69.4714
84252.76.69.48/28252.76.69.49 to 252.76.69.62252.76.69.6314
85252.76.69.64/28252.76.69.65 to 252.76.69.78252.76.69.7914
86252.76.69.80/28252.76.69.81 to 252.76.69.94252.76.69.9514
87252.76.69.96/28252.76.69.97 to 252.76.69.110252.76.69.11114
88252.76.69.112/28252.76.69.113 to 252.76.69.126252.76.69.12714
89252.76.69.128/28252.76.69.129 to 252.76.69.142252.76.69.14314
90252.76.69.144/28252.76.69.145 to 252.76.69.158252.76.69.15914
91252.76.69.160/28252.76.69.161 to 252.76.69.174252.76.69.17514
92252.76.69.176/28252.76.69.177 to 252.76.69.190252.76.69.19114
93252.76.69.192/28252.76.69.193 to 252.76.69.206252.76.69.20714
94252.76.69.208/28252.76.69.209 to 252.76.69.222252.76.69.22314
95252.76.69.224/28252.76.69.225 to 252.76.69.238252.76.69.23914
96252.76.69.240/28252.76.69.241 to 252.76.69.254252.76.69.25514
97252.76.70.0/28252.76.70.1 to 252.76.70.14252.76.70.1514
98252.76.70.16/28252.76.70.17 to 252.76.70.30252.76.70.3114
99252.76.70.32/28252.76.70.33 to 252.76.70.46252.76.70.4714
100252.76.70.48/28252.76.70.49 to 252.76.70.62252.76.70.6314
101252.76.70.64/28252.76.70.65 to 252.76.70.78252.76.70.7914
102252.76.70.80/28252.76.70.81 to 252.76.70.94252.76.70.9514
103252.76.70.96/28252.76.70.97 to 252.76.70.110252.76.70.11114
104252.76.70.112/28252.76.70.113 to 252.76.70.126252.76.70.12714
105252.76.70.128/28252.76.70.129 to 252.76.70.142252.76.70.14314
106252.76.70.144/28252.76.70.145 to 252.76.70.158252.76.70.15914
107252.76.70.160/28252.76.70.161 to 252.76.70.174252.76.70.17514
108252.76.70.176/28252.76.70.177 to 252.76.70.190252.76.70.19114
109252.76.70.192/28252.76.70.193 to 252.76.70.206252.76.70.20714
110252.76.70.208/28252.76.70.209 to 252.76.70.222252.76.70.22314
111252.76.70.224/28252.76.70.225 to 252.76.70.238252.76.70.23914
112252.76.70.240/28252.76.70.241 to 252.76.70.254252.76.70.25514
113252.76.71.0/28252.76.71.1 to 252.76.71.14252.76.71.1514
114252.76.71.16/28252.76.71.17 to 252.76.71.30252.76.71.3114
115252.76.71.32/28252.76.71.33 to 252.76.71.46252.76.71.4714
116252.76.71.48/28252.76.71.49 to 252.76.71.62252.76.71.6314
117252.76.71.64/28252.76.71.65 to 252.76.71.78252.76.71.7914
118252.76.71.80/28252.76.71.81 to 252.76.71.94252.76.71.9514
119252.76.71.96/28252.76.71.97 to 252.76.71.110252.76.71.11114
120252.76.71.112/28252.76.71.113 to 252.76.71.126252.76.71.12714
121252.76.71.128/28252.76.71.129 to 252.76.71.142252.76.71.14314
122252.76.71.144/28252.76.71.145 to 252.76.71.158252.76.71.15914
123252.76.71.160/28252.76.71.161 to 252.76.71.174252.76.71.17514
124252.76.71.176/28252.76.71.177 to 252.76.71.190252.76.71.19114
125252.76.71.192/28252.76.71.193 to 252.76.71.206252.76.71.20714
126252.76.71.208/28252.76.71.209 to 252.76.71.222252.76.71.22314
127252.76.71.224/28252.76.71.225 to 252.76.71.238252.76.71.23914
128252.76.71.240/28252.76.71.241 to 252.76.71.254252.76.71.25514
129252.76.72.0/28252.76.72.1 to 252.76.72.14252.76.72.1514
130252.76.72.16/28252.76.72.17 to 252.76.72.30252.76.72.3114
131252.76.72.32/28252.76.72.33 to 252.76.72.46252.76.72.4714
132252.76.72.48/28252.76.72.49 to 252.76.72.62252.76.72.6314
133252.76.72.64/28252.76.72.65 to 252.76.72.78252.76.72.7914
134252.76.72.80/28252.76.72.81 to 252.76.72.94252.76.72.9514
135252.76.72.96/28252.76.72.97 to 252.76.72.110252.76.72.11114
136252.76.72.112/28252.76.72.113 to 252.76.72.126252.76.72.12714
137252.76.72.128/28252.76.72.129 to 252.76.72.142252.76.72.14314
138252.76.72.144/28252.76.72.145 to 252.76.72.158252.76.72.15914
139252.76.72.160/28252.76.72.161 to 252.76.72.174252.76.72.17514
140252.76.72.176/28252.76.72.177 to 252.76.72.190252.76.72.19114
141252.76.72.192/28252.76.72.193 to 252.76.72.206252.76.72.20714
142252.76.72.208/28252.76.72.209 to 252.76.72.222252.76.72.22314
143252.76.72.224/28252.76.72.225 to 252.76.72.238252.76.72.23914
144252.76.72.240/28252.76.72.241 to 252.76.72.254252.76.72.25514
145252.76.73.0/28252.76.73.1 to 252.76.73.14252.76.73.1514
146252.76.73.16/28252.76.73.17 to 252.76.73.30252.76.73.3114
147252.76.73.32/28252.76.73.33 to 252.76.73.46252.76.73.4714
148252.76.73.48/28252.76.73.49 to 252.76.73.62252.76.73.6314
149252.76.73.64/28252.76.73.65 to 252.76.73.78252.76.73.7914
150252.76.73.80/28252.76.73.81 to 252.76.73.94252.76.73.9514
151252.76.73.96/28252.76.73.97 to 252.76.73.110252.76.73.11114
152252.76.73.112/28252.76.73.113 to 252.76.73.126252.76.73.12714
153252.76.73.128/28252.76.73.129 to 252.76.73.142252.76.73.14314
154252.76.73.144/28252.76.73.145 to 252.76.73.158252.76.73.15914
155252.76.73.160/28252.76.73.161 to 252.76.73.174252.76.73.17514
156252.76.73.176/28252.76.73.177 to 252.76.73.190252.76.73.19114
157252.76.73.192/28252.76.73.193 to 252.76.73.206252.76.73.20714
158252.76.73.208/28252.76.73.209 to 252.76.73.222252.76.73.22314
159252.76.73.224/28252.76.73.225 to 252.76.73.238252.76.73.23914
160252.76.73.240/28252.76.73.241 to 252.76.73.254252.76.73.25514
161252.76.74.0/28252.76.74.1 to 252.76.74.14252.76.74.1514
162252.76.74.16/28252.76.74.17 to 252.76.74.30252.76.74.3114
163252.76.74.32/28252.76.74.33 to 252.76.74.46252.76.74.4714
164252.76.74.48/28252.76.74.49 to 252.76.74.62252.76.74.6314
165252.76.74.64/28252.76.74.65 to 252.76.74.78252.76.74.7914
166252.76.74.80/28252.76.74.81 to 252.76.74.94252.76.74.9514
167252.76.74.96/28252.76.74.97 to 252.76.74.110252.76.74.11114
168252.76.74.112/28252.76.74.113 to 252.76.74.126252.76.74.12714
169252.76.74.128/28252.76.74.129 to 252.76.74.142252.76.74.14314
170252.76.74.144/28252.76.74.145 to 252.76.74.158252.76.74.15914
171252.76.74.160/28252.76.74.161 to 252.76.74.174252.76.74.17514
172252.76.74.176/28252.76.74.177 to 252.76.74.190252.76.74.19114
173252.76.74.192/28252.76.74.193 to 252.76.74.206252.76.74.20714
174252.76.74.208/28252.76.74.209 to 252.76.74.222252.76.74.22314
175252.76.74.224/28252.76.74.225 to 252.76.74.238252.76.74.23914
176252.76.74.240/28252.76.74.241 to 252.76.74.254252.76.74.25514
177252.76.75.0/28252.76.75.1 to 252.76.75.14252.76.75.1514
178252.76.75.16/28252.76.75.17 to 252.76.75.30252.76.75.3114
179252.76.75.32/28252.76.75.33 to 252.76.75.46252.76.75.4714
180252.76.75.48/28252.76.75.49 to 252.76.75.62252.76.75.6314
181252.76.75.64/28252.76.75.65 to 252.76.75.78252.76.75.7914
182252.76.75.80/28252.76.75.81 to 252.76.75.94252.76.75.9514
183252.76.75.96/28252.76.75.97 to 252.76.75.110252.76.75.11114
184252.76.75.112/28252.76.75.113 to 252.76.75.126252.76.75.12714
185252.76.75.128/28252.76.75.129 to 252.76.75.142252.76.75.14314
186252.76.75.144/28252.76.75.145 to 252.76.75.158252.76.75.15914
187252.76.75.160/28252.76.75.161 to 252.76.75.174252.76.75.17514
188252.76.75.176/28252.76.75.177 to 252.76.75.190252.76.75.19114
189252.76.75.192/28252.76.75.193 to 252.76.75.206252.76.75.20714
190252.76.75.208/28252.76.75.209 to 252.76.75.222252.76.75.22314
191252.76.75.224/28252.76.75.225 to 252.76.75.238252.76.75.23914
192252.76.75.240/28252.76.75.241 to 252.76.75.254252.76.75.25514
193252.76.76.0/28252.76.76.1 to 252.76.76.14252.76.76.1514
194252.76.76.16/28252.76.76.17 to 252.76.76.30252.76.76.3114
195252.76.76.32/28252.76.76.33 to 252.76.76.46252.76.76.4714
196252.76.76.48/28252.76.76.49 to 252.76.76.62252.76.76.6314
197252.76.76.64/28252.76.76.65 to 252.76.76.78252.76.76.7914
198252.76.76.80/28252.76.76.81 to 252.76.76.94252.76.76.9514
199252.76.76.96/28252.76.76.97 to 252.76.76.110252.76.76.11114
200252.76.76.112/28252.76.76.113 to 252.76.76.126252.76.76.12714
201252.76.76.128/28252.76.76.129 to 252.76.76.142252.76.76.14314
202252.76.76.144/28252.76.76.145 to 252.76.76.158252.76.76.15914
203252.76.76.160/28252.76.76.161 to 252.76.76.174252.76.76.17514
204252.76.76.176/28252.76.76.177 to 252.76.76.190252.76.76.19114
205252.76.76.192/28252.76.76.193 to 252.76.76.206252.76.76.20714
206252.76.76.208/28252.76.76.209 to 252.76.76.222252.76.76.22314
207252.76.76.224/28252.76.76.225 to 252.76.76.238252.76.76.23914
208252.76.76.240/28252.76.76.241 to 252.76.76.254252.76.76.25514
209252.76.77.0/28252.76.77.1 to 252.76.77.14252.76.77.1514
210252.76.77.16/28252.76.77.17 to 252.76.77.30252.76.77.3114
211252.76.77.32/28252.76.77.33 to 252.76.77.46252.76.77.4714
212252.76.77.48/28252.76.77.49 to 252.76.77.62252.76.77.6314
213252.76.77.64/28252.76.77.65 to 252.76.77.78252.76.77.7914
214252.76.77.80/28252.76.77.81 to 252.76.77.94252.76.77.9514
215252.76.77.96/28252.76.77.97 to 252.76.77.110252.76.77.11114
216252.76.77.112/28252.76.77.113 to 252.76.77.126252.76.77.12714
217252.76.77.128/28252.76.77.129 to 252.76.77.142252.76.77.14314
218252.76.77.144/28252.76.77.145 to 252.76.77.158252.76.77.15914
219252.76.77.160/28252.76.77.161 to 252.76.77.174252.76.77.17514
220252.76.77.176/28252.76.77.177 to 252.76.77.190252.76.77.19114
221252.76.77.192/28252.76.77.193 to 252.76.77.206252.76.77.20714
222252.76.77.208/28252.76.77.209 to 252.76.77.222252.76.77.22314
223252.76.77.224/28252.76.77.225 to 252.76.77.238252.76.77.23914
224252.76.77.240/28252.76.77.241 to 252.76.77.254252.76.77.25514
225252.76.78.0/28252.76.78.1 to 252.76.78.14252.76.78.1514
226252.76.78.16/28252.76.78.17 to 252.76.78.30252.76.78.3114
227252.76.78.32/28252.76.78.33 to 252.76.78.46252.76.78.4714
228252.76.78.48/28252.76.78.49 to 252.76.78.62252.76.78.6314
229252.76.78.64/28252.76.78.65 to 252.76.78.78252.76.78.7914
230252.76.78.80/28252.76.78.81 to 252.76.78.94252.76.78.9514
231252.76.78.96/28252.76.78.97 to 252.76.78.110252.76.78.11114
232252.76.78.112/28252.76.78.113 to 252.76.78.126252.76.78.12714
233252.76.78.128/28252.76.78.129 to 252.76.78.142252.76.78.14314
234252.76.78.144/28252.76.78.145 to 252.76.78.158252.76.78.15914
235252.76.78.160/28252.76.78.161 to 252.76.78.174252.76.78.17514
236252.76.78.176/28252.76.78.177 to 252.76.78.190252.76.78.19114
237252.76.78.192/28252.76.78.193 to 252.76.78.206252.76.78.20714
238252.76.78.208/28252.76.78.209 to 252.76.78.222252.76.78.22314
239252.76.78.224/28252.76.78.225 to 252.76.78.238252.76.78.23914
240252.76.78.240/28252.76.78.241 to 252.76.78.254252.76.78.25514
241252.76.79.0/28252.76.79.1 to 252.76.79.14252.76.79.1514
242252.76.79.16/28252.76.79.17 to 252.76.79.30252.76.79.3114
243252.76.79.32/28252.76.79.33 to 252.76.79.46252.76.79.4714
244252.76.79.48/28252.76.79.49 to 252.76.79.62252.76.79.6314
245252.76.79.64/28252.76.79.65 to 252.76.79.78252.76.79.7914
246252.76.79.80/28252.76.79.81 to 252.76.79.94252.76.79.9514
247252.76.79.96/28252.76.79.97 to 252.76.79.110252.76.79.11114
248252.76.79.112/28252.76.79.113 to 252.76.79.126252.76.79.12714
249252.76.79.128/28252.76.79.129 to 252.76.79.142252.76.79.14314
250252.76.79.144/28252.76.79.145 to 252.76.79.158252.76.79.15914
251252.76.79.160/28252.76.79.161 to 252.76.79.174252.76.79.17514
252252.76.79.176/28252.76.79.177 to 252.76.79.190252.76.79.19114
253252.76.79.192/28252.76.79.193 to 252.76.79.206252.76.79.20714
254252.76.79.208/28252.76.79.209 to 252.76.79.222252.76.79.22314
255252.76.79.224/28252.76.79.225 to 252.76.79.238252.76.79.23914
256252.76.79.240/28252.76.79.241 to 252.76.79.254252.76.79.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses